package main

import (
	"net/http"

	"github.com/go-chi/chi/v5"

	"git.sunturtle.xyz/studio/shotgun/lobby"
	"git.sunturtle.xyz/studio/shotgun/serve"
)

func main() {
	s := Server{
		l: lobby.New(),
	}
	r := chi.NewRouter()
	r.With(serve.WithPlayerID).Get("/queue", s.Queue)
	http.ListenAndServe(":8080", r)
}
